Subject: Re: question

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Fri, 14 Mar 1997 09:57:47 +1100 (EST)

Steve,
OK. I dont know why though (I use this method).

You can also start the ftp daemon with the -u option and an argument of 133.
eg

ftp     stream  tcp nowait root /local/sbin/in.tcpd /pub/ftp/in.ftpd -a -u133

That set the umasks for all clients.
>From memory any upload directive specified in ftpaccess overrides this so.....

for anonymous and any other users (say real) which need to have a mode
different to 644, create specific upload directives.

Regards Geofft

>I tried that and it didn't seem to work for me.  All of the local users are
in a group called customer.
>Thanks
>Steve
>
>At 10:53 AM 3/13/97 +1100, you wrote:
>>Steve,
>>Try this.
>>
>>Put the user (and all others) into a group.
>>Define the group in ftpaccess and use the upload directive in ftpaccess.
>>If its multiple users then they will all need to be in a subdirectory of
>>some commeon directory and the up load directive will need to be directed at
>>the common directory.
>>Use file/directory permissions to control who can actually upload to
>>specific directories.
>>
>>Regards Geofft
>>>I have just installed wu-2.4 and am having a small problem.  Everything
>>works fine except what I am trying to do.  I am trying to make it so that
>>when someone uploads a file (users, not anonymous), the file permissions are
>>set to 644.  Is there anyway to do this?  I saw that it can be changed for
>>uploads to the ./incoming directory.  But I wanted to set it so that if one
>>of my users uploads to his directory, it will auto set the file to 644.
>>>
>>>Thanks
>>>Steve
>>>
>>>======================================================
>>>Steven K. Buehler
>>>S & B Computers
>>>Rockford Illinois, USA
>>>Phone: 815-398-7169
>>>Fax: 815-398-7266
>>>======================================================
>>>
>>>
>>Geoff Terry    Systems & Network Support
>>ACR Net        Sapphire Coast NSW 2550
>>Australia
>>Ph 064 923677  Mobile 015 668 227 Fax 064 924594
>>
>>
>>
>
>======================================================
>Steven K. Buehler
>S & B Computers
>Rockford Illinois, USA
>Phone: 815-398-7169
>Fax: 815-398-7266
>======================================================
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594